# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:name) do
  include EasyType
  include EasyType::Validators::Name

  desc <<-DESCR
  The full name of the collaborator. The full name of the hook consists of the

  - autorisation
  - owner
  - repo name
  - collaborator

  Here is an example:

    github_collaborator { 'autorisation/owner/repo:collaborator':
        ...
      }

  Puppet will map these values to the right puppet parameters.

  DESCR

  data_type('Optional[String[1]]')

  isnamevar

  to_translate_to_resource do |raw_resource|
    raw_resource[name]
  end
end
