# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:password) do
  include EasyType::EncryptedYamlProperty

  desc <<-DESCR
  The password to use when authenticating at github. The password is saved on the
  system in a secure way.

      github_credentials { '...':
        ...
        password => 'very_secret',
        ...
      }


  DESCR

  data_type('Optional[String[1]]')
end
