# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:key) do
  include EasyType

  desc <<-DESCR

  The contents of the key. Use a public key. Here is an example:

      github_deploy_key { 'autorisation/owner/repo_name:key_name':
        ...
        key => 'ssh-rsa ...',
        ...
      }

  DESCR

  data_type('Optional[String[1]]')

  to_translate_to_resource do |raw_resource|
    raw_resource[:key]
  end
end
