# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:read_only) do
  include EasyType

  desc <<-DESCR
  If true, the key will only be able to read repository contents. Otherwise,
  the key will be able to read and write.

      github_deploy_key { 'autentication/owner/my_repo:key_name':
        ...
        read_only => 'false',
        ...
      }


  DESCR

  data_type('Optional[Boolean]')

  newvalues(true, false)
  defaultto true

  to_translate_to_resource do |raw_resource|
    raw_resource[:read_only].to_s
  end
end
