# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:active) do
  include EasyType

  desc <<-DESCR

  Specifies if the hook is active (e.g. enabled). Here is an example

      github_hook { '...':
        ...
        active => 'true',
        ...
      }


  DESCR

  data_type('Optional[Boolean]')

  newvalues(true, false)
  defaultto true

  to_translate_to_resource do |raw_resource|
    raw_resource[:active].to_s
  end
end
