# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:config) do
  include EasyType

  desc <<-DESCR
  Specfies the config used for the hook. The configuration is hook specfic. Check
  the documentation at github for the configuration options of a service.

      github_hook { '...:
        ...
        config => {'content_type' => 'form', 'insecure_ssl' => '0', 'url' => 'https://myurl.com'},
        ...
      }


  DESCR

  data_type('Optional[Hash]')

  # rubocop: disable Naming/MethodParameterName
  def insync?(is)
    is == should.transform_keys(&:to_sym)
  end
  # rubocop: enable Naming/MethodParameterName

  to_translate_to_resource do |raw_resource|
    raw_resource[:config]
  end
end
