# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:events, :array_matching => :all) do
  include EasyType::ArrayProperty
  include EasyType

  desc <<-DESCR
  The event(s) that will activate the hook. Check [the github documentation](https://developer.github.com/v3/activity/events/types/)
  for a list of events.

      github_hook { '...':
        ...
        events => ['push'],
        ...
      }

  DESCR

  # TODO: Add validation code for events content

  defaultto(['push'])

  data_type('Optional[Variant[String[1],Array[String[1]]]]')
  to_translate_to_resource do |raw_resource|
    raw_resource[:events]
  end
end
