# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
require 'open-uri'
newparam(:hook) do
  include EasyType
  include EasyType::Validators::Name

  desc <<-DESCR
  The name of the hook. This parameter is extracted from the full name.
  No need to specify it in the body of the puppet type.

  DESCR

  data_type('Optional[String[1]]')

  # rubocop: disable Style/ClassVars
  @@allowed_hook_name = 'web'
  # rubocop: enable Style/ClassVars

  validate do |value|
    fail "#{value} not valid a hook name." unless @@allowed_hook_name == value
  end

  desc ''

  isnamevar
end
