# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:company) do
  include EasyType

  desc <<-DESCR

  Company name. Here is an example:

      github_organization { 'account/organization':
        ...
        company => 'Company name',
        ...
      }


  DESCR

  data_type('Optional[String[1]]')

  to_translate_to_resource do |raw_resource|
    raw_resource[name]
  end
end
