# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:email) do
  include EasyType

  desc <<-DESCR

  Email address to use. Here is an example:

      github_organization { 'account/organization':
        ...
        email         => 'info@company.org',
        ...
      }


  DESCR

  data_type('Optional[String[1]]')

  to_translate_to_resource do |raw_resource|
    raw_resource[name]
  end
end
