# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:location) do
  include EasyType

  desc <<-DESCR

  Location of the organization. Here is an example:

      github_organization { 'account/organization':
        ...
        location      => 'The Netherlands',
        ...
      }


  DESCR

  data_type('Optional[String[1]]')

  to_translate_to_resource do |raw_resource|
    raw_resource[name]
  end
end
