# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:name) do
  include EasyType
  include EasyType::Validators::Name

  desc <<-DESCR

  The full name of the organization. The full name of the organization consists of the

  - autorisation
  - organization

  Here is an example:

      github_organization { 'autorisation/organization':
        ...
      }

  Puppet will map these values to the right puppet parameters.


  DESCR

  data_type('Optional[String[1]]')

  isnamevar

  to_translate_to_resource do |raw_resource|
    raw_resource[:name]
  end
end
