# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:plan) do
  include EasyType

  desc <<-DESCR

  The payment plan to use. Here is an example:

      github_organization { 'account/organization':
        ...
        plan =>
        ...
      }

  DESCR

  data_type('Optional[String[1]]')

  to_translate_to_resource do |raw_resource|
    raw_resource[name]['name']
  end
end
