# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:has_issues, :parent => Puppet::Property::Boolean) do
  include EasyType

  desc <<-DESCR
    Either true to enable issues for this repository, false to disable them.

    Here is an example on how to do this:

        github_repo { 'account/owner/repo':
          ...
          has_issues    => 'true',
          ...
        }



  DESCR

  newvalues(true, false)

  data_type('Optional[Boolean]')

  to_translate_to_resource do |raw_resource|
    raw_resource[:has_issues]
  end
end
