# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:private) do
  include EasyType

  desc <<-DESCR
  Either true to make the repository private, or false to make it public.
  Creating private repositories requires a paid GitHub.

  Here is an example on how to do this:

      github_repo { 'account/owner/repo':
        ...
        private => true,
        ...
      }

  DESCR

  newvalues(true, false)

  data_type('Optional[Boolean]')

  to_translate_to_resource do |raw_resource|
    raw_resource[:private]
  end
end
