# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:credentials) do
  include EasyType

  desc <<-DESCR

  The credentials to use for github operations. This parameter is extracted from the full name.
  No need to specify it in the body of the puppet type.


  This is the first part of the title of **all** github types

      github_repo { 'credentials/....':
        ...
      }

  The credentials must first be specfied by using [github_credentials]()


  DESCR

  data_type('Optional[String[1]]')

  isnamevar
end
